#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
#define mp make_pair
#define pb push_back
#define F first
#define S second
#define debug(x) std::cout << #x << ": " << x << "\n"
#define all(v) v.begin(), v.end()
#define li(i,a,b) for (int (i) = (a); (i) < (b); (i)++)
#define endl '\n'
#define mem(name,val) memset(name,val,sizeof(name))
//using u64 = uint64_t;
// using u128 = __uint128_t;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL);    
    ll n,l;
    cin>>n>>l;
    ll h[n];

    li(i,0,n) cin>>h[i];

    li(i,0,n){
        if(l>=h[i]){
            cout<<i+1;
            return 0;
        }
    }

    cout<< -1;

    return 0;
}